package de.thdeg.greiner.superpangworld.objects;

import de.thdeg.greiner.superpangworld.game.GameView;

import java.awt.*;

/**
 * The label to display the score.
 */
public class ScoreLabel extends GameObject{

    /** The score to display */
    private int score;

    /**
     * Create a label for the score with default values.
     * @param gameView the {@link GameView} to display the score label
     */
    public ScoreLabel(GameView gameView) {
        super(gameView);
        score = 1300;
        size = 50;
        width = 100;
        height = 8;

        position.setTo(GameView.WIDTH/2 - (width/2) -250,GameView.HEIGHT-height-60);
    }

    @Override
    public void addToCanvas() {
        gameView.addTextToCanvas(Integer.toString(score),getPosition().x,getPosition().y,40, Color.YELLOW,0);
    }

    @Override
    public void updatePosition() {
        super.updatePosition();
    }
}
